Delete an artifact - Spacefast Docs

Delete an artifact

Removes the source file in a commit. Git history keeps the body recoverable.

DELETE /v1/artifacts/{ref}

Authorization

Scopes: connectors:execute

Path parameters

Query parameters

Responses

204 Response for status 204

{
  "$schema": "string<uri>",
  "data": null
}
Problem details (RFC 9457)

Any 4xx/5xx response is one application/problem+json document.

{
  "$schema": "string<uri>",
  "type": "string",
  "title": "string",
  "status": -9007199254740991,
  "detail": "string",
  "code": "string",
  "pointer": "string",
  "details": {
    "property1": null,
    "property2": null
  },
  "suggestions": [
    "string"
  ],
  "next": [
    "string"
  ],
  "requestId": "string"
}

Try it

Server

Base URL https://api.spacefast.com

Authorization

Bearer token Remember on this device Include my values in samples

Parameters

Request examples

cURL

curl -X DELETE "https://api.spacefast.com/v1/artifacts/string" \
  -H "Authorization: Bearer YOUR_TOKEN"

JavaScript

const response = await fetch("https://api.spacefast.com/v1/artifacts/string", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  }
});

Python

import requests

response = requests.delete(
    "https://api.spacefast.com/v1/artifacts/string",
    headers={
        "Authorization": "Bearer YOUR_TOKEN"
    },
)

Response

204 default

{
  "$schema": "http://example.com",
  "data": null
}